From: "Kaan B. Y." <[email-masked]>
Date: Thu, 10 Apr 2025 22:04:14 +0200

Hello,

I could reproduce the bug. I am not sure if eglot is doing anything 
wrong. Before starting eglot, when only flymake-mode is activated, 
inspecting `flymake-diagnostic-functions` returns `(python-flymake t)`, 
eglot registers `eglot-flymake-backend`, which is removed after 
`eglot-shutdown`; `flymake-diagnostic-functions` is once again 
`(python-flymake t)`; so although `flymake-diagnostic-functions` is set 
back correctly, the Flymake modeline indicator stays changed. I'll look 
for other flymake variables that are changed by eglot and not set back 
after `shutdown`.

Regards
Kaan